Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.oci
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbc.oci.Statement

Direct Known Subclasses:
  weblogic.jdbc.oci.PreparedStatement

public class Statement
extends java.lang.Object
implements java.sql.Statement, weblogic.jdbc.common.internal.Cancelable, weblogic.jdbc.common.internal.FetchSizeSettable, weblogic.jdbc.common.internal.Parseable

This class contains WebLogic extensions to JDBC to support parsing of SQL statements and adjusting of the fetch size. Only the extensions are documented here.

Version:
  2.0
Author:
  Copyright (c) 1999 by BEA WebXpress. All Rights Resrved.

Field Summary
`boolean` | `binded`
`protected boolean` | `closed`
`protected Connection` | `connection`
`protected weblogic.jdbc.oci.ResultSet` | `current_queryresult`
`protected java.util.Hashtable` | `cursorparams`
`protected boolean` | `doExtendedSQL`
`protected int` | `fetchsize`
`protected java.lang.String` | `jdk_codeset`
`protected boolean` | `lastvalnull`
`protected int` | `maxfieldsize`
`protected int` | `maxrows`
`protected boolean` | `nullvalid`
`protected weblogic.db.oci.OciConnection` | `ociconn`
`weblogic.db.oci.OciCursor` | `ocicursor`
`protected int` | `updatecnt`
`protected java.sql.SQLWarning` | `warnings`

Method Summary
`void` | `addBatch()`
`void` | `addBatch(java.lang.String sql)`
`protected void` | `addWarning(java.sql.SQLWarning newwarn)`
`void` | `cancel()`
`protected void` | `checkIfArgNull(java.lang.String arg)`
`protected void` | `checkIfClosed()`
`protected static java.lang.String` | `checkJdbcSql(java.lang.String sql)`
`void` | `clearBatch()`
`void` | `clearParameters()`
`void` | `clearWarnings()`
`void` | `close_cursor(boolean clearit)`
`void` | `close()`
`boolean` | `execute()`
`boolean` | `execute(java.lang.String sql)`
`boolean` | `execute(java.lang.String a, int b)`
`boolean` | `execute(java.lang.String a, int[] b)`
`boolean` | `execute(java.lang.String a, java.lang.String[] b)`
`int[]` | `executeBatch()`
`java.sql.ResultSet` | `executeQuery()`
`java.sql.ResultSet` | `executeQuery(java.lang.String sql)`
`int` | `executeUpdate()`
`int` | `executeUpdate(java.lang.String sql)`
`int` | `executeUpdate(java.lang.String a, int b)`
`int` | `executeUpdate(java.lang.String a, int[] b)`
`int` | `executeUpdate(java.lang.String a, java.lang.String[] b)`
`int` | `fetchSize()`
`void` | `fetchSize(int size)` Allows tuning of the size of prefetch array used for Oracle row results.
`void` | `finalize()`
`java.math.BigDecimal` | `getBigDecimal(int parameterIndex, int scale)`
`boolean` | `getBoolean(int parameterIndex)`
`byte` | `getByte(int parameterIndex)`
`byte[]` | `getBytes(int parameterIndex)`
`java.sql.Connection` | `getConnection()`
`java.sql.Date` | `getDate(int parameterIndex)`
`double` | `getDouble(int parameterIndex)`
`int` | `getFetchDirection()`
`int` | `getFetchSize()`
`float` | `getFloat(int parameterIndex)`
`java.sql.ResultSet` | `getGeneratedKeys()`
`int` | `getInt(int parameterIndex)`
`long` | `getLong(int parameterIndex)`
`int` | `getMaxFieldSize()`
`int` | `getMaxRows()`
`boolean` | `getMoreResults()`
`boolean` | `getMoreResults(int a)`
`java.lang.Object` | `getObject(int parameterIndex)`
`weblogic.jdbc.oci.ParameterMetaData` | `getParameterMetaData()`
`int` | `getQueryTimeout()`
`java.sql.ResultSet` | `getResultSet()`
`java.sql.ResultSet` | `getResultSet(int parameterIndex)`
`int` | `getResultSetConcurrency()`
`int` | `getResultSetHoldability()`
`int` | `getResultSetType()`
`short` | `getShort(int parameterIndex)`
`java.lang.String` | `getString(int parameterIndex)`
`java.sql.Time` | `getTime(int parameterIndex)`
`java.sql.Timestamp` | `getTimestamp(int parameterIndex)`
`int` | `getUpdateCount()`
`java.sql.SQLWarning` | `getWarnings()`
`int` | `parse(java.lang.String sql)`
`void` | `registerOutParameter(int parameterIndex, int sqlType)`
`void` | `registerOutParameter(int parameterIndex, int sqlType, int scale)`
`void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setBigDecimal(int parameterIndex, java.math.BigDecimal x)`
`void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setBoolean(int parameterIndex, boolean x)`
`void` | `setByte(int parameterIndex, byte x)`
`void` | `setBytes(int parameterIndex, byte[] x)`
`void` | `setCursorName(java.lang.String name)`
`void` | `setDate(int parameterIndex, java.sql.Date x)`
`void` | `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)`
`void` | `setDouble(int parameterIndex, double x)`
`void` | `setEscapeProcessing(boolean enable)`
`void` | `setFetchDirection(int direction)`
`void` | `setFetchSize(int rows)`
`void` | `setFloat(int parameterIndex, float x)`
`void` | `setInt(int parameterIndex, int x)`
`void` | `setLong(int parameterIndex, long x)`
`void` | `setMaxFieldSize(int max)`
`void` | `setMaxRows(int max)`
`void` | `setNull(int parameterIndex, int sqlType)`
`void` | `setObject(int parameterIndex, java.lang.Object x)`
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType)`
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType, int scale)`
`void` | `setQueryTimeout(int seconds)`
`void` | `setReader(int parameterIndex, java.io.Reader x, int length, int insPieceLength, int stream_type)`
`void` | `setShort(int parameterIndex, short x)`
`void` | `setStream(int parameterIndex, java.io.InputStream x, int length, int insPieceLength, int stream_type)`
`void` | `setString(int parameterIndex, java.lang.String x)`
`void` | `setTime(int parameterIndex, java.sql.Time x)`
`void` | `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)`
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x)`
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)`
`void` | `setUnicodeStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setURL(int a, java.net.URL b)`
`boolean` | `wasNull()`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connection

    protected final Connection connection

### ociconn

    protected final weblogic.db.oci.OciConnection ociconn

### jdk_codeset

    protected final java.lang.String jdk_codeset

### ocicursor

    public weblogic.db.oci.OciCursor ocicursor

### closed

    protected boolean closed

### updatecnt

    protected int updatecnt

### maxrows

    protected int maxrows

### maxfieldsize

    protected int maxfieldsize

### warnings

    protected java.sql.SQLWarning warnings

### doExtendedSQL

    protected boolean doExtendedSQL

### cursorparams

    protected java.util.Hashtable cursorparams

### current_queryresult

    protected weblogic.jdbc.oci.ResultSet current_queryresult

### fetchsize

    protected int fetchsize

### binded

    public boolean binded

### lastvalnull

    protected boolean lastvalnull

### nullvalid

    protected boolean nullvalid

Method Detail

### fetchSize

    public int fetchSize()

### fetchSize

    public void fetchSize(int size)

  Allows tuning of the size of prefetch array used for Oracle row results. Oracle provides the means to do data prefetch in batches, which decreases network traffic and latency for row requests.

  The default batch size is 100. Memory for 100 rows is allocated in the native stack for every query. For queries that need fewer rows, this size can be adjusted appropriately. This saves on the swappable image size of the application and will benefit performance if only as many rows as needed are fetched.

  Specified by:
    fetchSize in interface weblogic.jdbc.common.internal.FetchSizeSettable

  Parameters:
    `size` - Number of rows for prefetch

### checkIfClosed

    protected void checkIfClosed()
                          throws java.sql.SQLException

### checkIfArgNull

    protected void checkIfArgNull(java.lang.String arg)
                           throws java.sql.SQLException

### executeQuery

    public java.sql.ResultSet executeQuery(java.lang.String sql)
                                    throws java.sql.SQLException

  Specified by:
    executeQuery in interface java.sql.Statement

### executeUpdate

    public int executeUpdate(java.lang.String sql)
                      throws java.sql.SQLException

  Specified by:
    executeUpdate in interface java.sql.Statement

### finalize

    public void finalize()

  Overrides:
    finalize in class java.lang.Object

### close

    public void close()
               throws java.sql.SQLException

  Specified by:
    close in interface java.sql.Statement

### close_cursor

    public void close_cursor(boolean clearit)

### cancel

    public void cancel()
                throws java.sql.SQLException

  Specified by:
    cancel in interface java.sql.Statement

### setCursorName

    public void setCursorName(java.lang.String name)
                       throws java.sql.SQLException

  Specified by:
    setCursorName in interface java.sql.Statement

### getMaxFieldSize

    public int getMaxFieldSize()
                        throws java.sql.SQLException

  Specified by:
    getMaxFieldSize in interface java.sql.Statement

### setMaxFieldSize

    public void setMaxFieldSize(int max)
                         throws java.sql.SQLException

  Specified by:
    setMaxFieldSize in interface java.sql.Statement

### getMaxRows

    public int getMaxRows()
                   throws java.sql.SQLException

  Specified by:
    getMaxRows in interface java.sql.Statement

### setMaxRows

    public void setMaxRows(int max)
                    throws java.sql.SQLException

  Specified by:
    setMaxRows in interface java.sql.Statement

### getQueryTimeout

    public int getQueryTimeout()
                        throws java.sql.SQLException

  Specified by:
    getQueryTimeout in interface java.sql.Statement

### setQueryTimeout

    public void setQueryTimeout(int seconds)
                         throws java.sql.SQLException

  Specified by:
    setQueryTimeout in interface java.sql.Statement

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Specified by:
    getWarnings in interface java.sql.Statement

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Specified by:
    clearWarnings in interface java.sql.Statement

### addWarning

    protected void addWarning(java.sql.SQLWarning newwarn)

### execute

    public boolean execute(java.lang.String sql)
                    throws java.sql.SQLException

  Specified by:
    execute in interface java.sql.Statement

### parse

    public int parse(java.lang.String sql)
              throws java.sql.SQLException

  Specified by:
    parse in interface weblogic.jdbc.common.internal.Parseable

### getResultSet

    public java.sql.ResultSet getResultSet()
                                    throws java.sql.SQLException

  Specified by:
    getResultSet in interface java.sql.Statement

### getUpdateCount

    public int getUpdateCount()
                       throws java.sql.SQLException

  Specified by:
    getUpdateCount in interface java.sql.Statement

### getMoreResults

    public boolean getMoreResults()
                           throws java.sql.SQLException

  Specified by:
    getMoreResults in interface java.sql.Statement

### setEscapeProcessing

    public void setEscapeProcessing(boolean enable)
                             throws java.sql.SQLException

  Specified by:
    setEscapeProcessing in interface java.sql.Statement

### executeBatch

    public int[] executeBatch()
                       throws java.sql.SQLException

  Specified by:
    executeBatch in interface java.sql.Statement

### clearBatch

    public void clearBatch()

  Specified by:
    clearBatch in interface java.sql.Statement

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

### setBoolean

    public void setBoolean(int parameterIndex,
                           boolean x)
                    throws java.sql.SQLException

### setByte

    public void setByte(int parameterIndex,
                        byte x)
                 throws java.sql.SQLException

### setShort

    public void setShort(int parameterIndex,
                         short x)
                  throws java.sql.SQLException

### setInt

    public void setInt(int parameterIndex,
                       int x)
                throws java.sql.SQLException

### setLong

    public void setLong(int parameterIndex,
                        long x)
                 throws java.sql.SQLException

### setFloat

    public void setFloat(int parameterIndex,
                         float x)
                  throws java.sql.SQLException

### setDouble

    public void setDouble(int parameterIndex,
                          double x)
                   throws java.sql.SQLException

### setBytes

    public void setBytes(int parameterIndex,
                         byte[] x)
                  throws java.sql.SQLException

### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

### setString

    public void setString(int parameterIndex,
                          java.lang.String x)
                   throws java.sql.SQLException

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x)
                 throws java.sql.SQLException

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x)
                 throws java.sql.SQLException

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

### setStream

    public void setStream(int parameterIndex,
                          java.io.InputStream x,
                          int length,
                          int insPieceLength,
                          int stream_type)
                   throws java.sql.SQLException

### setReader

    public void setReader(int parameterIndex,
                          java.io.Reader x,
                          int length,
                          int insPieceLength,
                          int stream_type)
                   throws java.sql.SQLException

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                                 java.io.InputStream x,
                                 int length)
                          throws java.sql.SQLException

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x)
                   throws java.sql.SQLException

### execute

    public boolean execute()
                    throws java.sql.SQLException

### addBatch

    public void addBatch(java.lang.String sql)
                  throws java.sql.SQLException

  Specified by:
    addBatch in interface java.sql.Statement

### addBatch

    public void addBatch()
                  throws java.sql.SQLException

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType)
                              throws java.sql.SQLException

### registerOutParameter

    public void registerOutParameter(int parameterIndex,
                                     int sqlType,
                                     int scale)
                              throws java.sql.SQLException

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

### getString

    public java.lang.String getString(int parameterIndex)
                               throws java.sql.SQLException

### getResultSet

    public java.sql.ResultSet getResultSet(int parameterIndex)
                                    throws java.sql.SQLException

### getBoolean

    public boolean getBoolean(int parameterIndex)
                       throws java.sql.SQLException

### getByte

    public byte getByte(int parameterIndex)
                 throws java.sql.SQLException

### getShort

    public short getShort(int parameterIndex)
                   throws java.sql.SQLException

### getInt

    public int getInt(int parameterIndex)
               throws java.sql.SQLException

### getLong

    public long getLong(int parameterIndex)
                 throws java.sql.SQLException

### getFloat

    public float getFloat(int parameterIndex)
                   throws java.sql.SQLException

### getDouble

    public double getDouble(int parameterIndex)
                     throws java.sql.SQLException

### getDate

    public java.sql.Date getDate(int parameterIndex)
                          throws java.sql.SQLException

### getTime

    public java.sql.Time getTime(int parameterIndex)
                          throws java.sql.SQLException

### getTimestamp

    public java.sql.Timestamp getTimestamp(int parameterIndex)
                                    throws java.sql.SQLException

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int parameterIndex,
                                              int scale)
                                       throws java.sql.SQLException

### getBytes

    public byte[] getBytes(int parameterIndex)
                    throws java.sql.SQLException

### getObject

    public java.lang.Object getObject(int parameterIndex)
                               throws java.sql.SQLException

### checkJdbcSql

    protected static java.lang.String checkJdbcSql(java.lang.String sql)
                                            throws java.sql.SQLException

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws java.sql.SQLException

### setFetchDirection

    public void setFetchDirection(int direction)
                           throws java.sql.SQLException

  Specified by:
    setFetchDirection in interface java.sql.Statement

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Specified by:
    getFetchDirection in interface java.sql.Statement

### setFetchSize

    public void setFetchSize(int rows)
                      throws java.sql.SQLException

  Specified by:
    setFetchSize in interface java.sql.Statement

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Specified by:
    getFetchSize in interface java.sql.Statement

### getResultSetConcurrency

    public int getResultSetConcurrency()
                                throws java.sql.SQLException

  Specified by:
    getResultSetConcurrency in interface java.sql.Statement

### getResultSetType

    public int getResultSetType()
                         throws java.sql.SQLException

  Specified by:
    getResultSetType in interface java.sql.Statement

### getConnection

    public java.sql.Connection getConnection()
                                      throws java.sql.SQLException

  Specified by:
    getConnection in interface java.sql.Statement

### getGeneratedKeys

    public java.sql.ResultSet getGeneratedKeys()
                                        throws java.sql.SQLException

### getMoreResults

    public boolean getMoreResults(int a)
                           throws java.sql.SQLException

### getResultSetHoldability

    public int getResultSetHoldability()
                                throws java.sql.SQLException

### getParameterMetaData

    public weblogic.jdbc.oci.ParameterMetaData getParameterMetaData()
                                                             throws java.sql.SQLException

### setURL

    public void setURL(int a,
                       java.net.URL b)
                throws java.sql.SQLException

### execute

    public boolean execute(java.lang.String a,
                           int b)
                    throws java.sql.SQLException

### execute

    public boolean execute(java.lang.String a,
                           int[] b)
                    throws java.sql.SQLException

### execute

    public boolean execute(java.lang.String a,
                           java.lang.String[] b)
                    throws java.sql.SQLException

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int b)
                      throws java.sql.SQLException

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             int[] b)
                      throws java.sql.SQLException

### executeUpdate

    public int executeUpdate(java.lang.String a,
                             java.lang.String[] b)
                      throws java.sql.SQLException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference